
#pragma warning (disable: 4996) 
#pragma warning (disable: 4819) 


#include "erp_utils.h"
#include "ocilib.h"
#include "common_itk_util.h"
using namespace std;


int getPrefStrings( const char *preference, TC_preference_search_scope_t scope, vector<string> &pref_vec  )
{
    int ifail = ITK_ok , i = 0, j = 0, k =0, num = 0;
	char **values;
    TC_preference_search_scope_t old_scope;
    ITKCALL( ifail = PREF_ask_search_scope( &old_scope) );
    ITKCALL( ifail = PREF_set_search_scope( scope ) );
    ITKCALL( ifail = PREF_ask_char_values( preference, &num, &values ) );
	WriteLog("num=%d",num);
	for(i = 0; i < num; i++)
	{
		pref_vec.push_back(values[i]);
	}
	DOFREE(values);
    ITKCALL( ifail = PREF_set_search_scope( old_scope ) );
    return ifail;
}